###########################################################
#
# General make-include
# Johan Bezem, JB Enterprises, (c) 2008.
#
# Prerequisites:
#  - GNUmake   3.79.1 or higher
#  - Bash      2.05a or higher
#    or
#  - CMD.EXE   Windows XP or higher
#
# Version 005.000
# Saved under "005Differentiate.zip"

# If environment variable CC is not defined, or defaulted by make,
# use the GNU compiler frontend gcc.
# Otherwise use the indicated compiler.
ifeq (,$(strip $(filter-out undefined default,$(origin CC))))
  export YT_CC := gcc
else
  export YT_CC := $(CC)
endif

# If shell_BASH.mk has set YT_PBASE_WDL for translating
# Cygwin paths into DOS, we can take it back here
# GCC will work with native pathnames just as well.
export YT_PBASE_WDL := $(YT_PBASE)

# Augment the intermediates' directory
YT_DIFFDIR := $(YT_DIFFDIR)-tcGCC
